Hello Guest, Welcome to Apnea Board !
As a guest, you are limited to certain areas of the board and there are some features you can't use.
To post a message, you must create a free account using a valid email address.

or Create an Account


New Posts   Today's Posts

Archived SleepyHead Discussions [Q&A Thread from Jun-2014 thru Aug 2015]
#41
(07-31-2014, 05:35 AM)DarkMask Wrote: Software guy
Further to my prior comments about the failed Yosemite install: I have just tried an earlier version 9.5 and it runs fine. The issue is with v 9.6 only.
Cheers
Darkmask

It's a Qt issue.. I've gotta wait on a new version upstream that supports it.. :-(

The old one must have not had some feature that breaks on Yosemite..

Qt's usually pretty good with this stuff though.. Seems like everyones got the beta.. so hopefully that means some Qt devs Smile
#42
I have a long string of numbers for Pressure settings which to me, does not seem normal and it upsets the format on the right hand side for the "Records" option/tab - is there a way for rectifying this - see image. Oh, and using SH 9.6
   
#43
(08-03-2014, 06:50 PM)Skypilot Wrote: I have a long string of numbers for Pressure settings which to me, does not seem normal and it upsets the format on the right hand side for the "Records" option/tab - is there a way for rectifying this - see image. Oh, and using SH 9.6


This issue has already been fixed in (GIT) source code..

It's just a case of waiting for the next official release... or getting impatient and building from source.. Coffee

The SleepyHead Testing team and I are working very hard on making sure the next version is the best ever!


#44
(07-31-2014, 07:29 AM)jedimark Wrote:
(07-31-2014, 05:35 AM)DarkMask Wrote: Software guy
Further to my prior comments about the failed Yosemite install: I have just tried an earlier version 9.5 and it runs fine. The issue is with v 9.6 only.
Cheers
Darkmask

It's a Qt issue.. I've gotta wait on a new version upstream that supports it.. :-(

The old one must have not had some feature that breaks on Yosemite..

Qt's usually pretty good with this stuff though.. Seems like everyones got the beta.. so hopefully that means some Qt devs Smile

I might stand corrected on this one..
According to one of my sources, it apparently just needs a version built with the new Xcode.. Smile
#45
Huhsign Downloaded the SleepyHead app to my MacBook Pro which has OS 10.6.8 installed. However, when I try to run the app I get he following errer: You can't open the application SleepyHead because it is not supported on this type of Mac. Any thoughts? Thanks
#46
Sleepy head 9.6 - I set the graphs scale to the settings I want but later find that all my settings are set back to the default - I am getting tired of re-setting the scales all the time - I hope this is being addressed.


#47
(08-08-2014, 08:43 PM)Skypilot Wrote: Sleepy head 9.6 - I set the graphs scale to the settings I want but later find that all my settings are set back to the default - I am getting tired of re-setting the scales all the time - I hope this is being addressed.


Did you change language by any chance?

It was clobbering the graph settings files because I was accidentally using translated graph names as a lookup, rather than a set string index name, so next time it ran after a change, it reset because it couldn't find what it was looking for.

This has been fixed already in source code.
#48
(08-08-2014, 09:11 AM)drburden545 Wrote: Huhsign Downloaded the SleepyHead app to my MacBook Pro which has OS 10.6.8 installed. However, when I try to run the app I get he following errer: You can't open the application SleepyHead because it is not supported on this type of Mac. Any thoughts? Thanks

Is yours a 32bit mac by any chance? I don't think the build I made is a dual binary (because I haven't been using Mac's long enough to know how to target both on my 64bit Mac.)

The build was targeted to that version (10.6.8) of OSX as a minimum.. (SleepyHead can not run on anything earlier than this, this is a limitation of the Qt framework, and new Qt bugs being exposed are slowly edging this bare minimum up to 10.7, which is unfortunate, but beyond my control)

If you have any experience doing so, you could try building from source code, but I have a nasty suspicion you'd have to build Qt yourself, and that's not fun. Sad

If not, I'll see if I can drum up some interest from someone who has an older mac to help us out by building some 32bit Mac binaries.
#49
(08-09-2014, 12:59 AM)jedimark Wrote:
(08-08-2014, 08:43 PM)Skypilot Wrote: Sleepy head 9.6 - I set the graphs scale to the settings I want but later find that all my settings are set back to the default - I am getting tired of re-setting the scales all the time - I hope this is being addressed.


Did you change language by any chance?

It was clobbering the graph settings files because I was accidentally using translated graph names as a lookup, rather than a set string index name, so next time it ran after a change, it reset because it couldn't find what it was looking for.

This has been fixed already in source code.

No did not - do not change the language - the reset has happened a couple of time.


#50
(08-09-2014, 01:19 AM)jedimark Wrote:
(08-08-2014, 09:11 AM)drburden545 Wrote: Huhsign Downloaded the SleepyHead app to my MacBook Pro which has OS 10.6.8 installed. However, when I try to run the app I get he following errer: You can't open the application SleepyHead because it is not supported on this type of Mac. Any thoughts? Thanks

Is yours a 32bit mac by any chance? I don't think the build I made is a dual binary (because I haven't been using Mac's long enough to know how to target both on my 64bit Mac.)

The build was targeted to that version (10.6.8) of OSX as a minimum.. (SleepyHead can not run on anything earlier than this, this is a limitation of the Qt framework, and new Qt bugs being exposed are slowly edging this bare minimum up to 10.7, which is unfortunate, but beyond my control)

If you have any experience doing so, you could try building from source code, but I have a nasty suspicion you'd have to build Qt yourself, and that's not fun. Sad

If not, I'll see if I can drum up some interest from someone who has an older mac to help us out by building some 32bit Mac binaries.

Thanks Jedimark. Yep have a 32bit Mac that is a little long in the tooth. No experience with QT at all. I guess this does give me an excuse to maybe finally take the plunge and get a new Mac.


Possibly Related Threads...
Thread Author Replies Views Last Post
Arrow ResScan CPAP Reporting Software (current version: 5.5) [Archived Discussions] SuperSleeper 1,109 510,867 08-25-2015, 07:10 PM
Last Post: SuperSleeper
Idea Updates to SleepyHead [May 2015] SuperSleeper 21 3,782 06-26-2015, 04:45 PM
Last Post: Mark Douglas
Arrow EncoreBasic 2.4.8.0 CPAP Reporting Software [Archived read-only thread] EncoreBasic User 142 59,002 02-18-2015, 11:29 AM
Last Post: on the virge
Information Archived SleepyHead Discussions [Q&A Thread from Sep-2011 thru May 2014] SuperSleeper 484 176,641 05-28-2014, 12:23 PM
Last Post: SuperSleeper

Forum Jump:

New Posts   Today's Posts




About Apnea Board

Apnea Board is an educational web site designed to empower Sleep Apnea patients.

For any more information, please use our contact form.